import Vue from "vue";
import VueRouter from "vue-router";

Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    name: "Home",
    component: function () {
      return import("../views/Home.vue");
    },
  },
  {
    path: "/recipes",
    name: "Recipes",

    component: function () {
      return import("../views/Recipes.vue");
    },
  },
  {
    path: "/events",
    name: "Events",

    component: function () {
      return import("../views/Events.vue");
    },
  },
  {
    path: "/create",
    name: "Create",

    component: function () {
      return import("../views/Create.vue");
    },

    children: [
      {
        path: "recipe",
        name: "Newrecipe",
        component: function () {
          return import("../views/create/NewRecipe");
        },
      },
      {
        path: "event",
        name: "NewEvent",
        component: function () {
          return import("../views/create/NewEvent");
        },
      },
    ],
  },
  {
    path: "/edit/recipe/:id",
    name: "EditRecipe",
    component: function () {
      return import("../views/edit/EditRecipe");
    },
  },
  {
    path: "/edit/event/:id",
    name: "EditEvent",
    component: function () {
      return import("../views/edit/EditEvent");
    },
  },
  {
    path: "/create/review/:id",
    name: "NewReview",
    component: function () {
      return import("../views/create/NewReview");
    },
  },
  {
    path: "/edit/EditRecipe/:id",
    name: "EditRecipe",
    component: function () {
      return import("../views/edit/EditRecipe");
    },
  },
];

const router = new VueRouter({
  mode: "history",
  base: process.env.BASE_URL,
  routes,
});

export default router;
